<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>사칙연산</title>
</head>
<body>
    <div>
        사칙연산
    </div>
    <script>
        do 
        {
            var input = prompt('사칙연산 "+ - * /" 를 위해 두개의 숫자로 "9999-1111" 형식으로 입력하세요!'); 
            console.log("입력된 사칙연산 : " + input);
            var num;                                    // 호출된 함수의 리턴값을 담을 변수
            
            if ( input[input.indexOf('+')] == '+' ) {   // 사칙연산자의 종류구별
                               
                num = operation( input, '+' );          // 사칙연산자 함수 호출
                if ( num == -1 ) {                      // 숫자가 아닌 피연산자일 경우 처음으로 다시 시작
                    continue;
                }
                break;                                  // 반복문 빠져 나오기

            } else if ( input[input.indexOf('-')] == '-' ) {
                
                num = operation( input, '-' );
                if ( num == -1 ) {
                    continue;
                }                
                break;

            } else if ( input[input.indexOf('*')] == '*' ) {
                
                num = operation( input, '*' );
                if ( num == -1 ) {
                    continue;
                }
                break;

            } else {

                num = operation( input, '/' );
                if ( num == -1 ) {
                    continue;
                }
                break;

            }
            
        } while ( true );
        
        function operation( input, a ) {   // 입력값과 사친연산자 인수로 받기
            var result;
            var arr = input.split(a);      // 사칙연산자를 기준으로 두개의 숫자를 배열로 만들기

            if ( isNaN(arr[0]) || isNaN(arr[1]) ) {  // 두개의 숫자가 아닐 경우 -1 리턴하기
                return -1;
            }

            switch ( a ) {  // 사착연산자의 종류에 따라 계산하기
                case '+':
                    result = Number(arr[0]) + Number(arr[1]);
                    break;
                case '-':
                    result = Number(arr[0]) - Number(arr[1]);
                    break;
                case '*':
                    result = Number(arr[0]) * Number(arr[1]);
                    break;
                case '/':
                    result = Number(arr[0]) / Number(arr[1]);
                    break;
            };
            console.log("계산된 결과값 : " + result);   // 사칙연산된 결과값 출력            
            return result;  // 계산된 값 리턴하기           
        };

    </script>
    
</body>
</html>